CURRENCY_SYMBOLS = {
    "USD": [
        "USD",
        "$",
        "＄",
        "﹩",
        "dollar",
        "US$",
        "US＄",
        "US﹩",
        "U.S.$",
        "U.S.＄",
        "U.S.﹩",
    ],
    "CAD": [
        "CAD",
        "CA$",
        "CA＄",
        "CA﹩",
        "C$",
        "C＄",
        "C﹩",
        "Can$",
        "Can＄",
        "Can﹩",
    ],
    "JPY": [
        "JPY",
        "JP¥",
        "￥",
        "JP￥",
        "¥",
        "円",
        "圓",
    ],
    "GBP": [
        "GBP",
        "GB£",
        "£",
        "pound",
        "￡",
        "GB￡",
        "UKP",
    ],
    "AUD": [
        "AUD",
        "A$",
        "A＄",
        "A﹩",
        "AU$",
        "AU＄",
        "AU﹩",
    ],
    "EUR": [
        "EUR",
        "€",
        "euro",
    ],
    "CHF": [
        "CHF",
    ],
    "DKK": [
        "DKK",
    ],
    "SEK": [
        "SEK",
    ],
    "NOK": [
        "NOK",
    ],
    "CZK": [
        "CZK",
    ],
    "PLN": [
        "PLN",
    ],
    "CNY": [
        "CNY",
        "CN¥",
    ],
    "IDR": [
        "IDR",
    ],
}

AMOUNT_PATTERN = "[-]{0,1}[0-9.,]*[0-9]"

NUMBER_MULTIPLIERS = {
    "hundred": 100,
    "thousand": 1000,
    "k": 1000,
    "million": 1e6,
    "m": 1e6,
    "mm": 1e6,
    "mil": 1e6,
    "billion": 1e9,
    "b": 1e9,
    "trillion": 1e12,
    "t": 1e12,
}

PERIOD_WORDS = [
    "millisecond",
    "hour",
    "minute",
    "second",
    "day",
    "week",
    "month",
    "year",
    "ms",
]

PERIOD_MULTIPLIERS = {
    "millisecond": 1,
    "ms": 1,
    "hour": 60 * 60 * 1000,
    "hr": 60 * 60 * 1000,
    "minute": 60 * 1000,
    "second": 1000,
    "day": 24 * 60 * 60 * 1000,
    "week": 7 * 24 * 60 * 60 * 1000,
    "month": 30 * 24 * 60 * 60 * 1000,
    "year": 365 * 24 * 60 * 60 * 1000,
}

PERIOD_STANDARDIZED_WORDS = {
    "millisecond": "millisecond",
    "ms": "millisecond",
    "hour": "hour",
    "min": "minute",
    "minute": "minute",
    "second": "second",
    "day": "day",
    "week": "week",
    "month": "month",
    "year": "year",
}
# Location Related

COUNTRY_ABBREVIATIONS = [
    (
        "USA",
        [
            "United States of America",
            "United States",
            "U.S.A.",
            "U.S.A",
            "USA",
            "U.S.",
            "U.S",
            "US",
        ],
    ),
]

US_STATES_DICT = {
    "AK": "Alaska",
    "AL": "Alabama",
    "AR": "Arkansas",
    "AZ": "Arizona",
    "CA": "California",
    "CO": "Colorado",
    "CT": "Connecticut",
    "DC": "District of Columbia",
    "DE": "Delaware",
    "FL": "Florida",
    "GA": "Georgia",
    "HI": "Hawaii",
    "IA": "Iowa",
    "ID": "Idaho",
    "IL": "Illinois",
    "IN": "Indiana",
    "KS": "Kansas",
    "KY": "Kentucky",
    "LA": "Louisiana",
    "MA": "Massachusetts",
    "MD": "Maryland",
    "ME": "Maine",
    "MI": "Michigan",
    "MN": "Minnesota",
    "MO": "Missouri",
    "MS": "Mississippi",
    "MT": "Montana",
    "NC": "North Carolina",
    "ND": "North Dakota",
    "NE": "Nebraska",
    "NH": "New Hampshire",
    "NJ": "New Jersey",
    "NM": "New Mexico",
    "NV": "Nevada",
    "NY": "New York",
    "OH": "Ohio",
    "OK": "Oklahoma",
    "OR": "Oregon",
    "PA": "Pennsylvania",
    "RI": "Rhode Island",
    "SC": "South Carolina",
    "SD": "South Dakota",
    "TN": "Tennessee",
    "TX": "Texas",
    "UT": "Utah",
    "VA": "Virginia",
    "VT": "Vermont",
    "WA": "Washington",
    "WI": "Wisconsin",
    "WV": "West Virginia",
    "WY": "Wyoming",
}
