answer_type_map = {
    "state": "LOC:state",
    "city": "LOC:city",
    "country": "LOC:country",
    "location": "LOC:other",
    "mountain": "LOC:mount",
    "work of art": "ENTY:cremat",
    "currency": "ENTY:currency",
    "event": "ENTY:event",
    "product": "ENTY:product",
    "food": "ENTY:food",
    "disease": "ENTY:disease",
    "body": "ENTY:body",
    "substance": "ENTY:substance",
    "sport": "ENTY:sport",
    "equivalent term": "ENTY:termeq",
    "vehicle": "ENTY:veh",
    "technology or method": "ENTY:techmeth",
    "color": "ENTY:color",
    "religion": "ENTY:religion",
    "language": "ENTY:lang",
    "money": "NUM:money",
    "date": "NUM:date",
    "period": "NUM:period",
    "count": "NUM:count",
    "code": "NUM:code",
    "volume or size": "NUM:volsize",
    "distance": "NUM:dist",
    "temperature": "NUM:temp",
    "weight": "NUM:weight",
    "percent": "NUM:perc",
    "speed": "NUM:speed",
    "description": "DESC:def",
    "definition": "DESC:def",
    "reason": "DESC:reason",
    "person": "HUM:ind",
    "organization": "HUM:gr",
    "yes/no": "bool",
    "gene": "gene",
    "mutation": "mutation",
    "cell line": "cell line",
    "cell type": "cell type",
    "dna": "dna",
    "rna": "rna",
}

answer_type_options = {
    "LOC:state": {
        "data_type": "string",
        "subdata_type": "geo",
        "label": "state",
        "answer_type": "LOC:state",
        "parent_type": "LOC",
        "sub_type": "state",
    },
    "LOC:city": {
        "data_type": "string",
        "subdata_type": "geo",
        "label": "city",
        "answer_type": "LOC:city",
        "parent_type": "LOC",
        "sub_type": "city",
    },
    "LOC:country": {
        "data_type": "string",
        "subdata_type": "geo",
        "label": "country",
        "answer_type": "LOC:country",
        "parent_type": "LOC",
        "sub_type": "country",
    },
    "LOC:other": {
        "data_type": "string",
        "subdata_type": "geo",
        "label": "location",
        "answer_type": "LOC:other",
        "parent_type": "LOC",
        "sub_type": "other",
    },
    "LOC:mount": {
        "data_type": "string",
        "subdata_type": "geo",
        "label": "mountain",
        "answer_type": "LOC:mount",
        "parent_type": "LOC",
        "sub_type": "mount",
    },
    "ENTY:cremat": {
        "data_type": "string",
        "label": "work of art",
        "answer_type": "ENTY:cremat",
        "parent_type": "ENTY",
        "sub_type": "cremat",
    },
    "ENTY:currency": {
        "data_type": "string",
        "label": "currency",
        "answer_type": "ENTY:currency",
        "parent_type": "ENTY",
        "sub_type": "currency",
    },
    "ENTY:event": {
        "data_type": "string",
        "label": "event",
        "answer_type": "ENTY:event",
        "parent_type": "ENTY",
        "sub_type": "event",
    },
    "ENTY:product": {
        "data_type": "string",
        "label": "product",
        "answer_type": "ENTY:product",
        "parent_type": "ENTY",
        "sub_type": "product",
    },
    "ENTY:food": {
        "data_type": "string",
        "label": "food",
        "answer_type": "ENTY:food",
        "parent_type": "ENTY",
        "sub_type": "food",
    },
    "ENTY:disease": {
        "data_type": "string",
        "label": "disease",
        "answer_type": "ENTY:disease",
        "parent_type": "ENTY",
        "sub_type": "disease",
    },
    "ENTY:body": {
        "data_type": "string",
        "label": "body",
        "answer_type": "ENTY:body",
        "parent_type": "ENTY",
        "sub_type": "body",
    },
    "ENTY:substance": {
        "data_type": "string",
        "label": "substance",
        "answer_type": "ENTY:substance",
        "parent_type": "ENTY",
        "sub_type": "substance",
    },
    "ENTY:sport": {
        "data_type": "string",
        "label": "sport",
        "answer_type": "ENTY:sport",
        "parent_type": "ENTY",
        "sub_type": "sport",
    },
    "ENTY:termeq": {
        "data_type": "string",
        "label": "equivalent term",
        "answer_type": "ENTY:termeq",
        "parent_type": "ENTY",
        "sub_type": "termeq",
    },
    "ENTY:veh": {
        "data_type": "string",
        "label": "vehicle",
        "answer_type": "ENTY:veh",
        "parent_type": "ENTY",
        "sub_type": "veh",
    },
    "ENTY:techmeth": {
        "data_type": "string",
        "label": "technology or method",
        "answer_type": "ENTY:techmeth",
        "parent_type": "ENTY",
        "sub_type": "techmeth",
    },
    "ENTY:color": {
        "data_type": "string",
        "label": "color",
        "answer_type": "ENTY:color",
        "parent_type": "ENTY",
        "sub_type": "color",
    },
    "ENTY:religion": {
        "data_type": "string",
        "label": "religion",
        "answer_type": "ENTY:religion",
        "parent_type": "ENTY",
        "sub_type": "religion",
    },
    "ENTY:lang": {
        "data_type": "string",
        "label": "language",
        "answer_type": "ENTY:lang",
        "parent_type": "ENTY",
        "sub_type": "lang",
    },
    "NUM:money": {
        "data_type": "double",
        "label": "currency",
        "answer_type": "NUM:money",
        "parent_type": "NUM",
        "sub_type": "money",
    },
    "NUM:date": {
        "data_type": "date",
        "label": "date",
        "answer_type": "NUM:date",
        "parent_type": "NUM",
        "sub_type": "date",
    },
    "NUM:period": {
        "data_type": "integer",
        "label": "period",
        "answer_type": "NUM:period",
        "parent_type": "NUM",
        "sub_type": "period",
    },
    "NUM:count": {
        "data_type": "integer",
        "label": "count",
        "answer_type": "NUM:count",
        "parent_type": "NUM",
        "sub_type": "count",
    },
    "NUM:code": {
        "data_type": "string",
        "label": "code",
        "answer_type": "NUM:code",
        "parent_type": "NUM",
        "sub_type": "code",
    },
    "NUM:volsize": {
        "data_type": "double",
        "label": "volume or size",
        "answer_type": "NUM:volsize",
        "parent_type": "NUM",
        "sub_type": "volsize",
    },
    "NUM:dist": {
        "data_type": "double",
        "label": "distance",
        "answer_type": "NUM:dist",
        "parent_type": "NUM",
        "sub_type": "dist",
    },
    "NUM:temp": {
        "data_type": "double",
        "label": "temperature",
        "answer_type": "NUM:temp",
        "parent_type": "NUM",
        "sub_type": "temp",
    },
    "NUM:weight": {
        "data_type": "double",
        "label": "weight",
        "answer_type": "NUM:weight",
        "parent_type": "NUM",
        "sub_type": "weight",
    },
    "NUM:perc": {
        "data_type": "double",
        "label": "percent",
        "answer_type": "NUM:perc",
        "parent_type": "NUM",
        "sub_type": "perc",
    },
    "NUM:speed": {
        "data_type": "double",
        "label": "speed",
        "answer_type": "NUM:speed",
        "parent_type": "NUM",
        "sub_type": "speed",
    },
    "DESC:desc": {
        "data_type": "string",
        "label": "description",
        "answer_type": "DESC:desc",
        "parent_type": "DESC",
        "sub_type": "desc",
    },
    "DESC:def": {
        "data_type": "string",
        "label": "definition",
        "answer_type": "DESC:def",
        "parent_type": "DESC",
        "sub_type": "def",
    },
    "DESC:reason": {
        "data_type": "string",
        "label": "reason",
        "answer_type": "DESC:reason",
        "parent_type": "DESC",
        "sub_type": "reason",
    },
    "HUM:ind": {
        "data_type": "string",
        "label": "person",
        "answer_type": "HUM:ind",
        "parent_type": "HUM",
        "sub_type": "ind",
    },
    "HUM:gr": {
        "data_type": "string",
        "label": "organization",
        "answer_type": "HUM:gr",
        "parent_type": "HUM",
        "sub_type": "gr",
    },
    "bool": {
        "data_type": "boolean",
        "label": "yes/no",
        "parent_type": "BOOL",
        "sub_type": "bool",
    },
}
